## GDataDocumentsText

GDataDocumentsText — GData Documents text object

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataDocumentsText * | gdata_documents_text_new ()

## Types and Values

#define | GDATA_DOCUMENTS_TEXT_DOC
#define | GDATA_DOCUMENTS_TEXT_HTML
#define | GDATA_DOCUMENTS_TEXT_JPEG
#define | GDATA_DOCUMENTS_TEXT_ODT
#define | GDATA_DOCUMENTS_TEXT_PDF
#define | GDATA_DOCUMENTS_TEXT_PNG
#define | GDATA_DOCUMENTS_TEXT_RTF
#define | GDATA_DOCUMENTS_TEXT_TXT
#define | GDATA_DOCUMENTS_TEXT_ZIP
| GDataDocumentsText
| GDataDocumentsTextClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataDocumentsEntry
                    ╰── GDataDocumentsDocument
                        ╰── GDataDocumentsText

## Implemented Interfaces

GDataDocumentsText implements GDataAccessHandler.

## Includes

    #include <gdata/services/documents/gdata-documents-text.h>

## Description

GDataDocumentsText is a subclass of GDataDocumentsDocument to represent a text document from Google Documents.

For more details of Google Documents' GData API, see the

online documentation.

## Functions

### gdata_documents_text_new ()

    GDataDocumentsText *
    gdata_documents_text_new (const gchar *id);

Creates a new GDataDocumentsText with the given entry ID (“id”).

#### Parameters

id | the entry's ID (not the document ID of the text document), or `NULL`. | [allow-none]

#### Returns

a new GDataDocumentsText, or `NULL`; unref with `g_object_unref()`.

[transfer full]

Since: 0.4.0

## Types and Values

### GDATA_DOCUMENTS_TEXT_DOC

    #define GDATA_DOCUMENTS_TEXT_DOC "doc"

The export format for Microsoft Word (DOC) format.

For more information, see the

GData protocol specification.

Since: 0.7.0

### GDATA_DOCUMENTS_TEXT_HTML

    #define GDATA_DOCUMENTS_TEXT_HTML "html"

The export format for HyperText Markup Language (HTML) format.

For more information, see the

GData protocol specification.

Since: 0.7.0

### GDATA_DOCUMENTS_TEXT_JPEG

    #define GDATA_DOCUMENTS_TEXT_JPEG "jpeg"

The export format for JPEG image format.

For more information, see the

GData protocol specification.

Since: 0.13.0

### GDATA_DOCUMENTS_TEXT_ODT

    #define GDATA_DOCUMENTS_TEXT_ODT "odt"

The export format for OpenDocument Text (ODT) format.

For more information, see the

GData protocol specification.

Since: 0.7.0

### GDATA_DOCUMENTS_TEXT_PDF

    #define GDATA_DOCUMENTS_TEXT_PDF "pdf"

The export format for Portable Document Format (PDF).

For more information, see the

GData protocol specification.

Since: 0.7.0

### GDATA_DOCUMENTS_TEXT_PNG

    #define GDATA_DOCUMENTS_TEXT_PNG "png"

The export format for Portable Network Graphics (PNG) image format.

For more information, see the

GData protocol specification.

Since: 0.7.0

### GDATA_DOCUMENTS_TEXT_RTF

    #define GDATA_DOCUMENTS_TEXT_RTF "rtf"

The export format for Rich Text Format (RTF).

For more information, see the

GData protocol specification.

Since: 0.7.0

### GDATA_DOCUMENTS_TEXT_TXT

    #define GDATA_DOCUMENTS_TEXT_TXT "txt"

The export format for plain text format.

For more information, see the

GData protocol specification.

Since: 0.7.0

### GDATA_DOCUMENTS_TEXT_ZIP

    #define GDATA_DOCUMENTS_TEXT_ZIP "zip"

The export format for a ZIP archive containing images and exported HTML.

For more information, see the

GData protocol specification.

Since: 0.7.0

### GDataDocumentsText

    typedef struct _GDataDocumentsText GDataDocumentsText;

All the fields in the GDataDocumentsText structure are private and should never be accessed directly.

Since: 0.4.0

### GDataDocumentsTextClass

    typedef struct {
    } GDataDocumentsTextClass;

All the fields in the GDataDocumentsTextClass structure are private and should never be accessed directly.

Since: 0.4.0